Skip to main content
POST
/
organization
/
{organizationId}
/
annotationsGroups
Create an organization annotations group
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/annotationsGroups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "annotations": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "scopes": [
    "DEPLOYMENTS"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "annotations": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "scopes": [
    "DEPLOYMENTS"
  ],
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
name
string
required

name of the annotations group

annotations
object[]
required
scopes
enum<string>[]
required

Annotations Group Scope

Available options:
DEPLOYMENTS,
STATEFUL_SETS,
SERVICES,
INGRESS,
GATEWAY_API_ROUTES,
HPA,
PODS,
SECRETS,
JOBS,
CRON_JOBS

Response

Organization annotations group created

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
annotations
object[]
required
scopes
enum<string>[]
required

Annotations Group Scope

Available options:
DEPLOYMENTS,
STATEFUL_SETS,
SERVICES,
INGRESS,
GATEWAY_API_ROUTES,
HPA,
PODS,
SECRETS,
JOBS,
CRON_JOBS
updated_at
string<date-time>
read-only